# pqxx::connect_async Class Reference
[Connection classes]

Asynchronous connection policy; connects "in the background". More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_async:

[legend]
List of all members.

## Public Member Functions

| connect_async (const PGSTD::string &opts)
virtual handle | do_startconnect (handle)
virtual handle | do_completeconnect (handle)
virtual handle | do_dropconnect (handle) throw ()
virtual bool | is_ready (handle) const throw ()

## Detailed Description

Asynchronous connection policy; connects "in the background".

Connection is initiated immediately, but completion is deferred until the connection is actually needed.

This may help performance by allowing the client to do useful work while waiting for an answer from the server.

## Constructor & Destructor Documentation

pqxx::connect_async::connect_async | ( | const PGSTD::string & | opts | ) | `[explicit]`

## Member Function Documentation

pqxx::connectionpolicy::handle pqxx::connect_async::do_startconnect | ( | handle |  | ) | `[virtual]`

pqxx::connectionpolicy::handle pqxx::connect_async::do_completeconnect | ( | handle |  | ) | `[virtual]`

pqxx::connectionpolicy::handle pqxx::connect_async::do_dropconnect | ( | handle |  | ) | throw ()`[virtual]`

bool pqxx::connect_async::is_ready | ( | handle |  | ) | const throw ()`[virtual]`

The documentation for this class was generated from the following files:

- connection.hxx
- connection.cxx